View Issue Details

IDProjectCategoryView StatusLast Update
0000147MantisDroid[All Projects] Taskpublic2012-07-26 23:28
Reportere7andyAssigned Toe7andy 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.0Fixed in Version1.0 
Summary0000147: Create edit issue page
DescriptionCreate activity to edit an issue.

1. Load all basic data like project, category, priority, severity etc.
2. Populate spinners
3. Load issue to edit if id > -1
4. Set values from loaded issue
5. If id == -1, then don't do anything

Note: Retain all data when orientation change.

Load spinners with data:
ArrayAdapter<CharSequence> adapter =
  new ArrayAdapter<CharSequence>(this, android.R.layout.simple_spinner_item );
adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);

adapter.add("some string data");

Spinner s = (Spinner) findViewById(R.id.unique_id);
s.setAdapter(adapter);
TagsNo tags attached.

Relationships

related to 0000205 closede7andy Create create issue page 

Activities

e7andy

2012-05-25 08:14

administrator   ~0000009

Can only assign issues to users with access level: developer or higher, id: >= 55

e7andy

2012-05-28 09:22

administrator   ~0000010

Last edited: 2012-05-31 07:49

View 11 revisions

Done:
-remove 2 line height for desc.
-Lines between sections
-more spacing above lines
-collapse platform
-add no handler
-do not set focus on edittext - http://stackoverflow.com/questions/1555109/stop-edittext-from-gaining-focus-at-activity-startup
-implement mc_issue_update (just add the fields that are implemented)
-Validate mandatory fields
-Retain all data when orientation change.

Issue History

Date Modified Username Field Change
2012-04-26 10:42 e7andy New Issue
2012-04-26 10:42 e7andy Status new => assigned
2012-04-26 10:42 e7andy Assigned To => e7andy
2012-04-27 09:25 e7andy Assigned To e7andy =>
2012-04-27 09:25 e7andy Status assigned => confirmed
2012-04-30 16:03 e7andy Summary Create edit issue page => Create edit/create issue page
2012-04-30 16:03 e7andy Description Updated View Revisions
2012-05-05 17:02 e7andy Target Version 1.0 => backlog
2012-05-11 10:25 e7andy Target Version backlog => 1.0
2012-05-15 08:19 e7andy Assigned To => e7andy
2012-05-15 08:19 e7andy Status confirmed => assigned
2012-05-22 16:46 e7andy Description Updated View Revisions
2012-05-22 16:50 e7andy Description Updated View Revisions
2012-05-25 08:14 e7andy Note Added: 0000009
2012-05-28 07:51 e7andy Description Updated View Revisions
2012-05-28 08:05 e7andy Summary Create edit/create issue page => Create edit issue page
2012-05-28 08:05 e7andy Description Updated View Revisions
2012-05-28 08:06 e7andy Relationship added related to 0000205
2012-05-28 08:06 e7andy Relationship deleted related to 0000205
2012-05-28 08:06 e7andy Relationship added related to 0000205
2012-05-28 09:22 e7andy Note Added: 0000010
2012-05-28 09:22 e7andy Description Updated View Revisions
2012-05-28 10:42 e7andy Note Edited: 0000010 View Revisions
2012-05-28 15:42 e7andy Note Edited: 0000010 View Revisions
2012-05-29 06:53 e7andy Note Edited: 0000010 View Revisions
2012-05-29 07:23 e7andy Note Edited: 0000010 View Revisions
2012-05-29 07:28 e7andy Note Edited: 0000010 View Revisions
2012-05-29 07:45 e7andy Note Edited: 0000010 View Revisions
2012-05-29 07:48 e7andy Note Edited: 0000010 View Revisions
2012-05-29 22:41 e7andy Note Edited: 0000010 View Revisions
2012-05-30 20:53 e7andy Note Edited: 0000010 View Revisions
2012-05-31 07:49 e7andy Note Edited: 0000010 View Revisions
2012-05-31 07:49 e7andy Status assigned => closed
2012-05-31 07:49 e7andy Resolution open => fixed
2012-05-31 07:49 e7andy Fixed in Version => 1.0
2012-07-26 23:28 e7andy Category Request => Task